// JavaScript Document


function getWinH(){
   //获取窗口高度   
   if (window.innerHeight)   
   winHeight = window.innerHeight;   
   else if ((document.body) && (document.body.clientHeight))   
   winHeight = document.body.clientHeight;   
   //通过深入Document内部对body进行检测，获取窗口大小   
   if (document.documentElement  && document.documentElement.clientHeight && document.documentElement.clientWidth)   
   {   
   winHeight = document.documentElement.clientHeight;   
   } 
   return winHeight;
}
function getWinW(){
	//获取窗口宽度
   if (window.innerWidth)   
   winWidth = window.innerWidth;   
   else if ((document.body) && (document.body.clientWidth))   
   winWidth = document.body.clientWidth;   
   //通过深入Document内部对body进行检测，获取窗口大小   
   if (document.documentElement  && document.documentElement.clientHeight && document.documentElement.clientWidth)   
   {    
   winWidth = document.documentElement.clientWidth;   
   } 
}

function tabOn(tag){
	$(tag).click(function(){
		$(this).addClass("on").siblings(tag).removeClass("on");
	})
}

function divDown(tag,tagDiv,downDiv,text){
	$(tag).click(function(){
		$(downDiv).slideDown();
	})
	$(downDiv).mouseleave(function(){
		$(this).slideUp();
	})
	$(downDiv).find(text).click(function(){
		var value=$(this).text();
		$(tagDiv).text(value);
	})
}
function setStar(){
	$(".star").each(function() {
		var star=$(this);
		var len=star.attr("width");
		var star_child=star.html();
		for(var i=2;i<=len;i++){
			star.append(star_child);
		}
    });
	
}
$(document).ready(function() {

	setStar();
	/*设置导航样式*/
	$(function(){
	$(".nav ul li").mouseenter(function(){
		if($(this).attr("class")!="on")
		{
		var em=$(this).find("em");
		em.stop().animate({height:"12px"});
		}
	}) .mouseleave(function(){
		if($(this).attr("class")!="on")
		{
		var em=$(this).find("em");
		em.stop().animate({height:"3px"});
		}
	})
	});
	//设置头部搜索类型
	$(function(){
	$(".s_type .tag").click(function(){
		var tag=$(this);
		$(".s_type .sub").slideDown();
		$(".s_type .sub span").click(function(){
			var temp_val=tag.text();
			var new_val=$(this).text();
			tag.text(new_val);
			$(".s_type .sub").slideUp();
			//$(this).text(temp_val);
		})
	});
	
	$(".s_type").mouseleave(function(){
		$(".s_type .sub").slideUp();
	})
	})
	$(".bq_list li").mouseenter(function(){
		$(this).addClass("on");
	}).mouseleave(function(){
		$(this).removeClass("on");
	});
	//设置面试题库问题答案的显示
	$(function(){
		$(".show_answer").click(function(){
			$(this).parents("li").find(".answer").slideToggle();
			$(this).toggleClass("show_answer_on");
		});
		$(".show_hf").click(function(){
			$(this).parents("li").find(".hf").slideToggle();
		});
		$(".zkpl").click(function(){
			$(this).parents(".pl").find(".pl_ul").slideToggle();
		})
	})
	
	$(function(){
		var hei=$(document).height()-110;
		$(".jpkctc").css("height",hei+"px");
		$(".play_btn").click(function(){
			$(".jpkctc").css("display","block");
		});
		$(".jpkctc .close").click(function(){
			$(".jpkctc").css("display","none");
		})
	})
	//placeholer 兼容	
	$(function(){
if(!placeholderSupport()){   // 判断浏览器是否支持 placeholder
    $('[placeholder]').focus(function() {
        var input = $(this);
        if (input.val() == input.attr('placeholder')) {
            input.val('');
            input.removeClass('placeholder');
        }
    }).blur(function() {
        var input = $(this);
        if (input.val() == '' || input.val() == input.attr('placeholder')) {
            input.addClass('placeholder');
            input.val(input.attr('placeholder'));
        }
    }).blur();
};
})
function placeholderSupport() {
    return 'placeholder' in document.createElement('input');
};
	$(".jpkc_ul li").each(function(i) {
        if(i%4==3){
			$(this).css("margin-right","0");
		}
    });

});

function anchorScroll() {
    //$body = (window.opera) ? (document.compatMode == "CSS1Compat" ? $('html') : $('body')) : $('html,body');
    $('a[href*=#]').click(function () {
        if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '')
    			&& location.hostname == this.hostname) {
            var $target = $(this.hash);
            $target = $target.length && $target
      				|| $('[name=' + this.hash.slice(1) + ']');
            if ($target.length) {
                var targetOffset = $target.offset().top;
                var obj = document.documentElement;
                if (jQuery.browser.safari)
                    obj = document.body
                if (jQuery.browser.msie)
                    obj = 'html';
                $(obj).animate({ scrollTop: targetOffset }, 500);
                return false;
            }
        }
    });
}
$(function () {
    anchorScroll();



    $(".u_h_tab_tag").mouseenter(function () {
        $(this).find(".u_h_tab").slideToggle();
    }).mouseleave(function () {
        $(this).find(".u_h_tab").slideToggle();
    })
})

